/* Hangul */
#define ishan(ch) (((ch) & 0xE0) > 0x90)
#define ishanasc(ch) (isascii(ch) || ishan(ch))
#define ishanalp(ch) (isalpha(ch) || ishan(ch))
#define isnhdigit(ch) (!ishan(ch) && isdigit(ch))
#define isnhspace(ch) (!ishan(ch) && isspace(ch))

extern char check_josa(char * check_on, const char * identifier, const char ** josa);
extern int is_hangul(const unsigned char *str);
extern int under_han(const char *str);

/*
int is_han(unsigned char *str);
int under_han(unsigned char *str);
char *first_han(unsigned char *str);
*/
